﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace FDK
{
	[ComImport, Guid( "CE3CE3EE-5C4E-4BDC-A467-C068E1FC3DA5" )]
	public class MemoryRenderer		// 何も継承してはならない。
	{
		// 何も記述してはならない。
		// 代わりに、MemoryRenderer の生成後、キャストで↓のインターフェースを取得する。
	}

	[ComImport, Guid( "FFAA4A1A-D63D-4688-9C66-D18CA7B99488" ), InterfaceType( ComInterfaceType.InterfaceIsIUnknown )]
	public interface IMemoryRenderer
	{
		[PreserveSig]
		int GetWidth( out long nWidht );
		
		[PreserveSig]
		int GetHeight( out long nHeight );

		[PreserveSig]
		int GetBufferSize( out long nBufferSize );

		[PreserveSig]
		int GetCurrentBuffer( IntPtr pBuffer, long nBufferSize );
	}
}
